##### 7.7.7.0. lpMis2Base

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  lpMis2Base(M); M an ideal

Return:
  ideal, a K-basis of the factor algebra

Purpose:
  Computing a K-basis out of given mistletoes

Assume:
  - basering is a Letterplace ring. G is a Letterplace ideal.
  - M contains only monomials

Note:
  - The mistletoes have to be ordered lexicographically -> OrdMisLex.

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal L = x(1)*y(2),y(1)*x(2)*y(3);
    // ideal containing the mistletoes
    lpMis2Base(L); // returns the K-basis of the factor algebra
    ==> _[1]=y(1)
    ==> _[2]=y(1)*x(2)
    ==> _[3]=y(1)*x(2)*y(3)
    ==> _[4]=x(1)
    ==> _[5]=x(1)*y(2)
    ==> _[6]=1

User manual for Singular version 4-0-3, 2016, generated by texi2html.